Inserts or updates a variable in shared memory

- « shm_has_var

- shm_remove »

- PHP Manual
- Semaphore Functions
- Inserts or updates a variable in shared memory

# shm_put_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_put_var — Inserts or updates a variable in shared memory

### Description

shm_put_var(SysvSharedMemory `$shm`, int `$key`, mixed `$value`): bool

shm_put_var() inserts or updates the `value` with the given `key`.

Warnings (`E_WARNING` level) will be issued if `shm` is not a valid SysV shared memory index or if there was not enough shared memory remaining to complete your request.

### Parameters

`shm`

  A shared memory segment obtained from shm_attach().

`key`

  The variable key.

`value`

  The variable. All variable types that serialize() supports may be used: generally this means all types except for resources and some internal objects that cannot be serialized.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `shm` expects a SysvSharedMemory instance now; previously, a resource was expected.

### See Also

- shm_get_var() - Returns a variable from shared memory
- shm_has_var() - Check whether a specific entry exists